package net.codestore.flex
{
	[Bindable]
	public class IconLibrary
	{		
		public static function getIconForFileType(type:String):Class{
       		var icon:Class;
       		type = type.toUpperCase();
       		
       		if (type=="DOC" || type=="DOCX"){
       			icon = IconLibrary.FILE_DOC_ICON;	
       		} else if (type=="XLS" || type=="XLSX" ){
       			icon = IconLibrary.FILE_XLS_ICON;	
       		} else if (type=="PPT" || type=="PPTX"){
       			icon = IconLibrary.FILE_PPT_ICON;	
       		} else if (type=="XML" || type=="HTML" || type=="HTM" || type=="XSL"){
       			icon = IconLibrary.FILE_XML_ICON;	
       		} else if (type=="ZIP" || type=="TAR" || type=="JAR"){
       			icon = IconLibrary.FILE_ZIP_ICON;	
       		} else if (type=="GIF" || type=="PNG" || type=="JPG" || type=="JPG" || type=="TIFF"){
       			icon = IconLibrary.FILE_GIF_ICON;	
       		} else if (type=="NSF" || type=="NTF"){
       			icon = IconLibrary.FILE_NSF_ICON;	
       		} else if (type=="TXT"){
       			icon = IconLibrary.FILE_TXT_ICON;	
       		} else if (type=="PDF"){
       			icon = IconLibrary.FILE_PDF_ICON;	
       		} else {
       			icon = IconLibrary.FILE_DEFAULT_ICON;
       		}
       		
       		return icon; 	
        } 
        
        public static function getIconForFileName(fileName:String):Class{
			var tmp:Array = fileName.split(".");	
			return getIconForFileType(tmp[tmp.length-1]);
        }
        
		[Embed (source="resources/icons/filetypes/doc.png")]
    	public static const FILE_DOC_ICON:Class;
    	
    	[Embed (source="resources/icons/filetypes/xls.png")]
    	public static const FILE_XLS_ICON:Class;
    	
    	[Embed (source="resources/icons/filetypes/ppt.png")]
    	public static const FILE_PPT_ICON:Class;
    	
    	[Embed (source="resources/icons/filetypes/xml.png")]
    	public static const FILE_XML_ICON:Class;
    	
    	[Embed (source="resources/icons/filetypes/zip.png")]
    	public static const FILE_ZIP_ICON:Class;
    	
    	[Embed (source="resources/icons/filetypes/pdf.png")]
    	public static const FILE_PDF_ICON:Class;
    	
    	[Embed (source="resources/icons/filetypes/gif.png")]
    	public static const FILE_GIF_ICON:Class;
    	
    	[Embed (source="resources/icons/filetypes/nsf.png")]
    	public static const FILE_NSF_ICON:Class;
    	
    	[Embed (source="resources/icons/filetypes/txt.png")]
    	public static const FILE_TXT_ICON:Class;
    	
    	[Embed (source="resources/icons/filetypes/default.png")]
    	public static const FILE_DEFAULT_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/disk.png")]
    	public static const SAVE_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/bullet_disk.png")]
    	public static const SAVE_SMALL_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/cross.png")]
    	public static const CROSS_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/text_columns.png")]
    	public static const TEXT_COLUMNS_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/add.png")]
    	public static const ADD_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/find.png")]
    	public static const FIND_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/arrow_rotate_clockwise.png")]
    	public static const REFRESH_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/cancel.png")]
    	public static const CANCEL_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/attach.png")]
    	public static const PAPER_CLIP_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/arrow_undo.png")]
    	public static const ARROW_UNDO_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/page_white_excel.png")]
    	public static const EXCEL_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/exclamation.png")]
    	public static const ERROR_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/error.png")]
    	public static const WARNING_ICON:Class;
    	
    	[Embed (source="resources/icons/silk/information.png")]
    	public static const INFO_ICON:Class;
    }
}